@import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
    list-style-type: none;
    text-decoration: none;
    user-select: none;
}

body{
    background-color: #f7f7f7;
}

header{
    background-color: #fff;
    padding: 10px;
}

nav{
    padding: 10px 0;
    max-width: 1400px;
    margin: 0 auto;
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    text-align: center;
    align-items: center;
    position: relative;
    overflow: hidden;
}

nav a{
    color: #333;
    z-index: 999;
    cursor: pointer;
    transition: .3s;
}

nav a:hover{
    color: blue;
}

nav h1{
    text-transform: uppercase;
    line-height: 1.5em;
    z-index: 999;
}

nav h1 div:first-child{
    font-weight: bolder;
    letter-spacing: 1px;
}

nav h1 div:last-child{
    font-weight: 400;
}

/* main styles */

.grid-container{
    max-width: 1200px;
    margin: 60px auto;
    padding: 20px;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-auto-rows: 250px;
    gap: 30px;
}

.grid-container div{
    overflow: hidden;
    border-radius: 6px;
    border: 16px solid #fff;
    background: #fff;
    box-shadow: 3px 3px 3px rgba(0, 0, 0, 0.05);
    transition: .3s ease-in-out;
}

.grid-container div:hover{
    box-shadow: 10px 10px 10px rgba(0, 0, 0, 0.1);
}

.grid-container img{
    width: 100%;
    height: 100%;
    transition: all .3s ease-in-out;
}

.grid-container img:hover{
    filter: grayscale(1);
}

.grid-container .short{
    grid-row: span 1;
}

.grid-container .tall{
    grid-row: span 2;
}

footer{
    text-align: center;
    padding: 20px 0;
    background-color: #fff;
}

@media screen and (max-width:960px) {
    .grid-container{
        grid-template-columns: 1fr 1fr;
    }
}

@media screen and (max-width:620px) {
    .grid-container{
        grid-template-columns: 1fr;
        max-width: 400px;
        margin: 20px auto;
    }
    nav{
        grid-template-columns: repeat(4, 1fr);
    }
    nav h1{
        grid-column: 1 / span 4;
        grid-row: 1;
    }
}